Merge nginx from Debian unstable for l-series

Bug #1993421 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
New
Undecided
Unassigned

Bug Description

Scheduled-For: ubuntu-later
Upstream: tbd
Debian: 1.22.0-3.1
Ubuntu: 1.22.0-1ubuntu1

### New Debian Changes ###

nginx (1.22.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <email address hidden> Sat, 15 Oct 2022 12:28:07 +0200

nginx (1.22.0-3) unstable; urgency=medium

  * d/changelog: fixed typo in bug number 61261 -> 861261 (Closes: 861261)
  * d/p/nginx-ssl_cert_cb_yield.patch added (Closes: 884434)
  * http-lua: removed the http-lua module and moved it to a separate package

 -- Jan Mojžíš <email address hidden> Wed, 17 Aug 2022 18:38:15 +0200

nginx (1.22.0-2) unstable; urgency=medium

  [ Miao Wang ]
  * adding a new libnginx-mod-http-ndk-dev package including necessary
    headers to build a 3rd party module depending on ndk.

  [ Jan Mojžíš ]
  * d/nginx-common.nginx.service: added Systemd dependency
    Wants=network-online.target and updated Systemd 'After' dependency to
    recommended NGINX values, namely:
    - network-online.target (Closes: 861261) (Closes: 1000406)
    - remote-fs.target (Closes: 898896)
    - nss-lookup.target
  * d/p/0003-define_gnu_source-on-other-glibc-based-platforms.patch: forwarded
    to upstream (Closes: 859082)
  * d/t/reboot: added, tests if nginx works after reboot
  * d/m/p/http-subs-filter/pcre2.patch: added PCRE2 support
  * d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
    SystemD race condition, this fix is backported from Ubuntu (Closes: 876365)
  * d/apport/source_nginx.py: Add apport hooks for additional bug
    information gathering, the script is backported from Ubuntu (Closes: 963668)
  * d/nginx-common.install: Add install rule for apport hooks.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + nginx-common: Drop versioned constraint on lsb-base in Depends.
    + nginx-core: Drop versioned constraint on nginx in Breaks.
    + nginx-full: Drop versioned constraint on nginx in Breaks.
    + nginx-light: Drop versioned constraint on nginx in Breaks.
    + nginx-extras: Drop versioned constraint on nginx in Breaks.
    + libnginx-mod-http-perl: Drop versioned constraint on nginx-extras in
      Replaces.
    + Remove 5 maintscript entries from 1 files.

 -- Jan Mojžíš <email address hidden> Sun, 07 Aug 2022 16:14:59 +0200

nginx (1.22.0-1) unstable; urgency=medium

  [ Thomas Ward ]
  * New upstream release (1.22.0)
  * Additional changes:
    * d/conf/mime.types: Fix a typo in font/woff2 extension in
      mime.types. (Closes: #1010798)
    * d/upstream/signing-key.asc: Additional signing keys observed
      in upstream (Konstantin Pavlov <email address hidden>) during
      upstream merge/import by Thomas Ward, additional signing key
      was added to the keyring while keeping Maxim's key in signing
      keys as well.
    * d/copyright: Updated copyright for src/core/ngx_murmurhash.c
      and debian/modules/http-ndk/src/hash/murmurhash2.c to be
      public-domain (Closes: #1011936)
  * d/control: Use libluajit-5.1-dev for s390x.
    Due to src:luajit2 landing in Unstable, superseding src:luajit,
    and due to luajit2 having s390x support, we can use s390x now
    with luajit instead of standard Lua.
    Thanks to Paul Gevers for the heads up on luajit2 supporting s390x.
  * d/control: Use liblua for ppc64el - src:luajit2 is still not ppc64el
    stable and there seems to be nobody willing to support it. (Closes: 1013807)

  [ Jan Mojžíš ]
  * d/patches/CVE-2021-3618.patch removed, fix is included in new upstream
  release
  * d/copyright: bump nginx copyright years
  * d/copyright: added copyright for src/stream/ngx_stream_set_module.c
  * d/copyright: removed copyright for src/http/v2/ngx_http_v2_huff_encode.c
  * d/control: bump Standards-Version to 4.6.1, no changes

  [ Bastian Germann ]
  * d/copyright: Update copyright for d/debhelper/*

  [ Miao Wang ]
  * dh_nginx: support auto generating module config files
  * adding a new nginx-dev package including necessary headers and debhelper
    scripts to build and package a 3rd party module. (Closes: 985133)
  * d/p/0002-Make-sure-signature-stays-the-same-in-all-nginx-buil.patch
    removed, because feature already implemented with --with-compat configure
    option since 1.11.5

 -- Thomas Ward <email address hidden> Tue, 10 May 2022 12:08:02 -0400

nginx (1.20.2-2) unstable; urgency=medium

  [ Thomas Ward ]
  * d/patches/CVE-2021-3618.patch: Include upstream changeset from NGINX

### Old Ubuntu Delta ###

nginx (1.22.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1982626). Remaining changes:
    - d/p/ubuntu-branding.patch: add Ubuntu branding
    - d/apport/source_nginx.py: Add apport hooks for additional bug
      information gathering.
    - d/nginx-common.install: Add install rule for apport hooks.
    - d/p/nginx-fix-pidfile.patch: Fix NGINX PIDfile handling to avoid
      SystemD race condition - thanks to Tj for the patch. (LP #1581864)
    - d/control: make nginx and nginx-full arch any, so that nginx-full
      is no longer pulled into main because of i386 (LP #1893267)
    - Remove the Lua modules from NGINX (Server Team Decision) - future support
      for Lua module now requires resty-core from OpenResty, meaning that if
      we want to continue to support the Lua module, we have to start becoming
      OpenResty - users should just use OpenResty at this point for Lua.
      Changes made for this removal:
       + d/control:
         + Remove lua module from dependencies, and binary build item.
         + Add 'Breaks' line for nginx-lua for older versions of NGINX.
           This is added to the nginx metapackage and nginx-extras.
       + d/rules: Remove Lua module from the build flags for -extras.
       + d/http-lua, d/modules/{,patches/,watch/}nginx-lua: Remove Lua
         modules, watch file, module patches.
       + d/modules/control: Remove Lua module from definitions
       + d/copyright: Remove lua module.
       + d/tests/{control,lua/}: Remove Lua test entirely, remove
         dependencies on any test which request
         libnginx-mod-http-lua as it's gone.
    - d/control: drop GeoIP from nginx-core due to demotion of libgeoip
      (LP #1861101, LP #1867150):
      + remove libnginx-mod-http-geoip from nginx-core dependency
      + have nginx-core depend on libnginx-mod-stream-geoip2
        instead of libnginx-mod-stream-geoip
      + adjust package descriptions accordingly
    - d/control: (GeoIP2 related changes)
      + Update dependencies for http-geoip2 package to include libmaxminddb0.
      + Update nginx-core to include http-geoip2 module due to approved bin-MIR
        (LP #1867198)
      + Move geoip2 module build flags to the common flags so all
        package flavors have it.
      + Update dependencies for nginx-light, etc. to include
        libnginx-mod-http-geoip2 as it's in the 'common build flags'
        for all flavors of the builds.
      + Update package description for nginx-core to indicate geoip2
        is included, and to list third party HTTP modules. GeoIP2
        is not included for Stream by default, so we have to adjust
        this because the Stream part isn't MIR'd.
  * d/p/ubuntu-branding.patch: Reimplement patch to avoid conflicting on
    (volatile) release version numbers when merging.
  * d/m/p/http-subs-filter/pcre2.patch: Patch from debian 0d813834 to
    fix FTBFS
  * d/t/branding: Add autopkgtest to validate branding presence

 -- Bryce Harrington <email address hidden> Fri, 22 Jul 2022 17:56:50 -0700

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers